{"openapi":"3.0.3","info":{"title":"ab-ibmi-sys-api","version":"v1","description":"API for retrieving technology records from the IBM i system. This API provides search capabilities based on facility identifiers with support for paginated responses.\n"},"servers":[{"url":"/v1","description":"Base URL for version 1"}],"paths":{"/technology":{"get":{"operationId":"getTechnology","summary":"Get technology","description":"Retrieve technology based on search criteria","parameters":[{"name":"facilityId","in":"query","required":true,"description":"The code of the technology","example":"ACL","schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"description":"Number of records per page","example":20,"schema":{"type":"integer","default":10}}],"responses":{"200":{"description":"Successfully retrieved technologies","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"object","properties":{"CFC6CD":{"type":"string","example":"ACL"},"CFGVCD":{"type":"string","example":"132"},"CFCWAC":{"type":"string","example":" "}}}}}},"example":{"status":"success","data":[{"CFC6CD":"ACL","CFGVCD":"132","CFCWAC":" "}]}}}},"400":{"description":"Bad Request - Invalid query parameters","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"error"},"message":{"type":"string","example":"Invalid query parameter"}}},"example":{"status":"error","message":"Invalid query parameter"}}}},"404":{"description":"No technology found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"error"},"message":{"type":"string","example":"No technology found"}}},"example":{"status":"error","message":"No technology found"}}}}}}}}}